<?php

namespace App\Plugins\EthereumBundle;

use App\Abstracts\CoinServiceProvider;

class PluginServiceProvider extends CoinServiceProvider
{
    /**
     * @inheritDoc
     */
    protected string $name = 'ethereum-bundle';

    /**
     * @inheritDoc
     */
    protected array $adapters = [
        USDCAdapter::class,
        MATICAdapter::class,
        OKBAdapter::class,
        EOSAdapter::class,
        DYDXAdapter::class,
        THETAAdapter::class,
        DAIAdapter::class,
        UNIAdapter::class,
        HEXAdapter::class,
        LEOAdapter::class,
        WBTCAdapter::class,
        BANDAdapter::class,
        QNTAdapter::class,
        CROAdapter::class,
        LDOAdapter::class,
        VETAdapter::class,
        FRAXAdapter::class,
        AAVEAdapter::class,
        YFIAdapter::class,
        TUSDAdapter::class,
        SANDAdapter::class,
        HTAdapter::class,
        CUSDTAdapter::class,
        SNMAdapter::class,
        KCSAdapter::class,
        CHZAdapter::class,
        BTTAdapter::class,
        FTMAdapter::class,
        GUSDAdapter::class,
        MKRAdapter::class,
        GRTAdapter::class,
        PAXGAdapter::class,
        RPLAdapter::class,
        BITAdapter::class,
        XAUtAdapter::class,
        SNXAdapter::class,
        NEXOAdapter::class,
        FXSAdapter::class,
        ZILAdapter::class,
        XDCEAdapter::class,
        INCHAdapter::class,
        GALAAdapter::class,
        BATAdapter::class,
        MANAAdapter::class,
        CRVAdapter::class,
        WAVESAdapter::class,
        ENJAdapter::class,
        HOTAdapter::class,
        DFIAdapter::class,
        LRCAdapter::class,
        MTLAdapter::class,
        WOOAdapter::class,
        AMPAdapter::class,
        EGLDAdapter::class,
        NXMAdapter::class,
        SXPAdapter::class,
        GLMAdapter::class,
        FETAdapter::class,
        CVXAdapter::class,
        COMPAdapter::class,
        GNOAdapter::class,
        LITAdapter::class,
        IOTXAdapter::class,
        CELAdapter::class,
        BALAdapter::class,
        CHSBAdapter::class,
        SUSHIAdapter::class,
        MASKAdapter::class,
        ELONAdapter::class,
        ONEAdapter::class,
        POLYAdapter::class,
        ZRXAdapter::class,
        IOSTAdapter::class,
        RSRAdapter::class,
        CETAdapter::class,
        TELAdapter::class,
        EURSAdapter::class,
        RNDRAdapter::class,
        LPTAdapter::class,
        RBNAdapter::class,
        INJAdapter::class,
        AGIXAdapter::class,
        RLCAdapter::class,
        SKLAdapter::class,
        OCEANAdapter::class,
        TRIBEAdapter::class,
        EWTBAdapter::class,
        PLTCAdapter::class,
        PUNDIXAdapter::class,
        FXAdapter::class,
        NMRAdapter::class,
        ILVAdapter::class,
        ANTAdapter::class,
        CDTAdapter::class,
        SNTAdapter::class,
        ELFAdapter::class,
        MXCAdapter::class,
        REQAdapter::class,
        PROMAdapter::class,
        MVLAdapter::class,
        TRACAdapter::class,
        CEEKAdapter::class,
        ORBSAdapter::class,
        SRMAdapter::class,
        DENTAdapter::class,
        CHRAdapter::class,
        FUNAdapter::class,
        XYOAdapter::class,
        IQAdapter::class,
        RAREAdapter::class,
        BFCAdapter::class,
        PONDAdapter::class,
        SPELLAdapter::class,
        VERIAdapter::class,
        POWRAdapter::class,
        BNTAdapter::class,
        REVAdapter::class,
        OGNAdapter::class,
        CTXCAdapter::class,
        OXTAdapter::class,
        STORJAdapter::class,
        ACHAdapter::class,
        FORTHAdapter::class,
        BTMAdapter::class,
        DUSKAdapter::class,
    ];

    /**
     * @inheritDoc
     */
    protected function resourcePath(): string
    {
        return __DIR__ . '/resources';
    }
}